Mail::Server::IMAP4::Search(3pm)

NAME
Mail::Server::IMAP4::Search - select messages within a IMAP folder (not completed)

INHERITANCE
 Mail::Server::IMAP4::Search
   is a Mail::Box::Search
   is a Mail::Reporter

SYNOPSIS
  use Mail::Box::Manager;
  my $mgr    = Mail::Box::Manager->new;
  my $folder = $mgr->open('imap4:Inbox');

  my $filter = Mail::Server::IMAP4::Search->new(...);

  my @msgs   = $filter->search($folder);
  if($filter->search($message)) {...}

DESCRIPTION
THIS PACKAGES IS NOT IMPLEMENTED YET... (it's waiting for a volunteer)

Extends "DESCRIPTION" in Mail::Box::Search.

METHODS
Extends "METHODS" in Mail::Box::Search.

  Constructors
Extends "Constructors" in Mail::Box::Search.

$class->new(%options)
    Inherited, see "METHODS" in Mail::Box::Search

     -Option    --Defined in       --Default
      binaries    Mail::Box::Search  <C<false>>
      decode      Mail::Box::Search  <C<true>>
      delayed     Mail::Box::Search  true
      deleted     Mail::Box::Search  false
      deliver     Mail::Box::Search  undef
      in          Mail::Box::Search  'BODY'
      label       Mail::Box::Search  undef
      limit       Mail::Box::Search  0
      logical     Mail::Box::Search  'REPLACE'
      multiparts  Mail::Box::Search  true

    binaries => BOOLEAN
    decode => BOOLEAN
    delayed => BOOLEAN
    deleted => BOOLEAN
    deliver => undef|CODE|'DELETE'
    in => 'HEAD'|'BODY'|'MESSAGE'
    label => $label
    limit => $number
    logical => 'REPLACE'|'AND'|'OR'|'NOT'|'AND NOT'|'OR NOT'
    multiparts => BOOLEAN

  Attributes
Extends "Attributes" in Mail::Box::Search.

$obj->deliver()
    Inherited, see "Attributes" in Mail::Box::Search

$obj->doMultiparts()
    Inherited, see "Attributes" in Mail::Box::Search

$obj->parseDelayed()
    Inherited, see "Attributes" in Mail::Box::Search

$obj->skipDeleted()
    Inherited, see "Attributes" in Mail::Box::Search

  Error handling
Extends "Error handling" in Mail::Box::Search.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Box::Search.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

  Searching
Extends "Searching" in Mail::Box::Search.

$obj->inBody($part, $body)
    Inherited, see "Searching" in Mail::Box::Search

$obj->inHead($part, $head)
    Inherited, see "Searching" in Mail::Box::Search

$obj->search($folder|$thread|$message|ARRAY)
    Inherited, see "Searching" in Mail::Box::Search

$obj->searchPart($part)
    Inherited, see "Searching" in Mail::Box::Search

  The Results
Extends "The Results" in Mail::Box::Search.

$obj->printMatch( [$fh], HASH )
    Inherited, see "The Results" in Mail::Box::Search

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Error: expect messages to search, not $what.
    Cast by search()

SEE ALSO
This module is part of Mail-Box-IMAP4 version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.